#2209 koji-utils: only requires /usr/bin/python2 on rhel<=7
Merged a year ago by tkopecek. Opened a year ago by julian8628.
julian8628/koji fix-spec  into  master

file modified
+2 -1
@@ -470,7 +470,8 @@ 

  make DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3} %{?install_opt} install

  # alter python interpreter in koji CLI

  scripts='%{_bindir}/koji %{_sbindir}/kojid %{_sbindir}/kojira %{_sbindir}/koji-shadow

-          %{_sbindir}/koji-gc %{_sbindir}/kojivmd %{_sbindir}/koji-sweep-db'

+          %{_sbindir}/koji-gc %{_sbindir}/kojivmd %{_sbindir}/koji-sweep-db

+          %{_sbindir}/koji-sidetag-cleanup'

  for fn in $scripts ; do

      sed -i 's|#!/usr/bin/python2|#!/usr/bin/python3|' $RPM_BUILD_ROOT$fn

  done

file modified
+1 -1
@@ -1,4 +1,4 @@ 

- #!/usr/bin/python3

+ #!/usr/bin/python2

  

  import sys

  import configparser

Metadata Update from @julian8628:
- Pull-request tagged with: testing-ready

a year ago

pretty please pagure-ci rebuild

a year ago

Commit 53c9fa3 fixes this pull-request

Pull-Request has been merged by tkopecek

a year ago

Metadata Update from @jcupova:
- Pull-request tagged with: testing-done

a year ago